package com.example.studentinfo;

import android.content.SharedPreferences;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

import androidx.appcompat.app.AppCompatActivity;

public class change_password_Activity extends AppCompatActivity implements View.OnClickListener {

    private EditText mETPassword;
    private EditText mETNewPassword;
    private EditText mETNewPasswordAffirm;
    private Button mBtnChange;
    private SharedPreferences pref;
    private SharedPreferences.Editor editor;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_change_password_);
        initView();
    }

    private void initView() {
        mETPassword = (EditText) findViewById(R.id.ET_Password);
        mETNewPassword = (EditText) findViewById(R.id.ET_NewPassword);
        mETNewPasswordAffirm = (EditText) findViewById(R.id.ET_New_Password_Affirm);
        mBtnChange = (Button) findViewById(R.id.btn_change);

        mBtnChange.setOnClickListener(this);
    }

    @Override
    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.btn_change:
                changePassword();

                break;
        }
    }

    private void changePassword() {
        pref=getSharedPreferences("UserData",RegisterActivity.MODE_PRIVATE);
        editor=pref.edit();
        String pw=pref.getString("password","");
        String Password = mETPassword.getText().toString();
        String NewPassword = mETNewPassword.getText().toString();
        String Affirm = mETNewPasswordAffirm.getText().toString();
        if (pw.equals(Password)){
            if (NewPassword.equals(Affirm)){
                editor.putString("password",NewPassword);
                editor.commit();
                String NewPw=pref.getString("password","");
                if (NewPw.equals(NewPassword)){
                    Toast.makeText(change_password_Activity.this,"更改成功",Toast.LENGTH_LONG).show();
                    finish();
                }else {
                    Toast.makeText(change_password_Activity.this,"更改失败",Toast.LENGTH_LONG).show();
                }

            }else {
                Toast.makeText(change_password_Activity.this,"两次输入的密码不一致",Toast.LENGTH_LONG).show();
                mETNewPasswordAffirm.setText("");
                mETNewPassword.setText("");
            }
        }else {
            Toast.makeText(change_password_Activity.this,"原密码不正确",Toast.LENGTH_LONG).show();
            mETPassword.setText("");
        }
    }

    private void submit() {
        // validate
        String Password = mETPassword.getText().toString().trim();
        if (TextUtils.isEmpty(Password)) {
            Toast.makeText(this, "Password不能为空", Toast.LENGTH_SHORT).show();
            return;
        }

        String NewPassword = mETNewPassword.getText().toString().trim();
        if (TextUtils.isEmpty(NewPassword)) {
            Toast.makeText(this, "NewPassword不能为空", Toast.LENGTH_SHORT).show();
            return;
        }

        String Affirm = mETNewPasswordAffirm.getText().toString().trim();
        if (TextUtils.isEmpty(Affirm)) {
            Toast.makeText(this, "Affirm不能为空", Toast.LENGTH_SHORT).show();
            return;
        }

        // TODO validate success, do something


    }
}
