package com.example.studentinfo;

import android.content.SharedPreferences;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

import androidx.appcompat.app.AppCompatActivity;

public class fine_password_Activity extends AppCompatActivity implements View.OnClickListener {

    private EditText mETUser;
    private EditText mETEncrypted;
    private EditText mETNewPassword;
    private EditText mETNewPWAffirm;
    private Button mButton;
    private SharedPreferences pref;
    private SharedPreferences.Editor editor;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.fine_password_main);
        initView();
    }

    private void initView() {
        mETUser = (EditText) findViewById(R.id.ET_User);
        mETEncrypted = (EditText) findViewById(R.id.ET_encrypted);
        mETNewPassword = (EditText) findViewById(R.id.ET_NewPassword);
        mETNewPWAffirm = (EditText) findViewById(R.id.ET_newPWAffirm);
        mButton = (Button) findViewById(R.id.button);

        mButton.setOnClickListener(this);
    }

    @Override
    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.button:
                finePassword();

                break;
        }
    }

    private void finePassword() {
        String User = mETUser.getText().toString();
        String encrypted = mETEncrypted.getText().toString();
        String NewPassword = mETNewPassword.getText().toString();
        String newPWAffirm = mETNewPWAffirm.getText().toString();
        pref=getSharedPreferences("UserData",RegisterActivity.MODE_PRIVATE);
        SharedPreferences.Editor editor = pref.edit();
        String userId=pref.getString("account","");
        String en =pref.getString("encrypted","");
        if (User.equals(userId)&&en.equals(encrypted)){
            if (NewPassword.equals(newPWAffirm)){
                editor.putString("password", NewPassword);
                editor.commit();
                String password=pref.getString("password","");
                if (password.equals(NewPassword)){
                Toast.makeText(fine_password_Activity.this,"更改成功",Toast.LENGTH_LONG).show();
                finish();
                }else {
                    Toast.makeText(fine_password_Activity.this,"更改失败",Toast.LENGTH_LONG).show();
//                    Toast.makeText(fine_password_Activity.this,NewPassword,Toast.LENGTH_LONG).show();
                }
            }else {
                Toast.makeText(fine_password_Activity.this,"两次输入的密码不一致",Toast.LENGTH_LONG).show();
                mETNewPWAffirm.setText("");
                mETNewPassword.setText("");
            }

        }else {
            Toast.makeText(fine_password_Activity.this,"账号或密保错误",Toast.LENGTH_LONG).show();
            mETUser.setText("");
            mETEncrypted.setText("");
            mETNewPWAffirm.setText("");
            mETNewPassword.setText("");
        }
    }

    private void submit() {
        // validate
        String User = mETUser.getText().toString().trim();
        if (TextUtils.isEmpty(User)) {
            Toast.makeText(this, "User不能为空", Toast.LENGTH_SHORT).show();
            return;
        }

        String encrypted = mETEncrypted.getText().toString().trim();
        if (TextUtils.isEmpty(encrypted)) {
            Toast.makeText(this, "encrypted不能为空", Toast.LENGTH_SHORT).show();
            return;
        }

        String NewPassword = mETNewPassword.getText().toString().trim();
        if (TextUtils.isEmpty(NewPassword)) {
            Toast.makeText(this, "NewPassword不能为空", Toast.LENGTH_SHORT).show();
            return;
        }

        String newPWAffirm = mETNewPWAffirm.getText().toString().trim();
        if (TextUtils.isEmpty(newPWAffirm)) {
            Toast.makeText(this, "newPWAffirm不能为空", Toast.LENGTH_SHORT).show();
            return;
        }

        // TODO validate success, do something


    }
}
