package com.example.studentinfo.mysqllist;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;
import android.widget.Toast;

public class MySQLiteOpenHelper extends SQLiteOpenHelper {
    public static final String CREATE_USER = "create table user ("
            + "id integer primary key autoincrement, "
            + "name text, "
            + "cls text, "
            + "isboy text)";
    private Context mCtx;

    public MySQLiteOpenHelper(Context context, String name, SQLiteDatabase.CursorFactory factory, int version) {
        super(context, name, factory, version);
        this.mCtx=context;
    }

    @Override
    public void onCreate(SQLiteDatabase db) {
        db.execSQL(CREATE_USER);
        Toast.makeText(mCtx, "数据库表user创建成功", Toast.LENGTH_SHORT).show();
    }

    @Override
    public void onUpgrade(SQLiteDatabase db, int oldVersion , int newVersion) {

        db.execSQL("drop table if exists user");
        onCreate(db);

    }
}
