package com.example.studentinfo;

import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.Toast;

import androidx.appcompat.app.AppCompatActivity;

public class setting_Activity extends AppCompatActivity implements View.OnClickListener {

    private Button mBtnAlterPwd;
    private Button mBtnSetEncrypted;
    private Button mBtnExitLogin;
    private SharedPreferences pref;
    private SharedPreferences.Editor editor;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_setting_);
        initView();
    }

    private void initView() {
        mBtnAlterPwd = (Button) findViewById(R.id.btn_alter_pwd);
        mBtnSetEncrypted = (Button) findViewById(R.id.btn_set_encrypted);
        mBtnExitLogin = (Button) findViewById(R.id.btn_exit_login);

        mBtnAlterPwd.setOnClickListener(this);
        mBtnSetEncrypted.setOnClickListener(this);
        mBtnExitLogin.setOnClickListener(this);
    }

    @Override
    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.btn_alter_pwd:
                Intent intent=new Intent(setting_Activity.this,change_password_Activity.class);
                startActivity(intent);

                break;
            case R.id.btn_set_encrypted:
                Intent intent1=new Intent(setting_Activity.this,change_encrypted_Activity.class);
                startActivity(intent1);

                break;
            case R.id.btn_exit_login:
                exitLogin();

                break;
        }
    }

    private void exitLogin() {
        pref=getSharedPreferences("UserData",RegisterActivity.MODE_PRIVATE);
        editor=pref.edit();
        editor.putBoolean("status",false);
        editor.commit();
        Boolean Login=pref.getBoolean("status",true);
        if (Login){
            Toast.makeText(setting_Activity.this,"退出失败",Toast.LENGTH_LONG).show();
        }else {
            Toast.makeText(setting_Activity.this,"退出失败",Toast.LENGTH_LONG).show();
            finish();
        }


    }
}
