package com.example.studentinfo;

import android.content.SharedPreferences;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

import androidx.appcompat.app.AppCompatActivity;

public class change_encrypted_Activity extends AppCompatActivity implements View.OnClickListener {

    private EditText mETEncrypted;
    private EditText mETNewencrypted;
    private EditText mETNewEncryptedAffirm;
    private Button mBtnChange;
    private SharedPreferences pref;
    private SharedPreferences.Editor editor;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_change_encrypted_);
        initView();
    }

    private void initView() {
        mETEncrypted = (EditText) findViewById(R.id.ET_encrypted);
        mETNewencrypted = (EditText) findViewById(R.id.ET_Newencrypted);
        mETNewEncryptedAffirm = (EditText) findViewById(R.id.ET_New_Encrypted_Affirm);
        mBtnChange = (Button) findViewById(R.id.btn_change);

        mBtnChange.setOnClickListener(this);
    }

    @Override
    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.btn_change:
                changeEncrypted();

                break;
        }
    }

    private void changeEncrypted() {
        pref=getSharedPreferences("UserData",RegisterActivity.MODE_PRIVATE);
        editor=pref.edit();
        String pw=pref.getString("encrypted","");
        String encrypted = mETEncrypted.getText().toString();
        String NewEncrypted = mETNewencrypted.getText().toString();
        String Affirm = mETNewEncryptedAffirm.getText().toString();
        if (pw.equals(encrypted)){
            if (NewEncrypted.equals(Affirm)){
                editor.putString("encrypted",NewEncrypted);
                editor.commit();
                String NewPw=pref.getString("encrypted","");
                if (NewPw.equals(NewEncrypted)){
                    Toast.makeText(change_encrypted_Activity.this,"更改成功",Toast.LENGTH_LONG).show();
                    finish();
                }else {
                    Toast.makeText(change_encrypted_Activity.this,"更改失败",Toast.LENGTH_LONG).show();
                }

            }else {
                Toast.makeText(change_encrypted_Activity.this,"两次输入的密保不一致",Toast.LENGTH_LONG).show();
                mETNewencrypted.setText("");
                mETNewEncryptedAffirm.setText("");
            }
        }else {
            Toast.makeText(change_encrypted_Activity.this,"原密保不正确",Toast.LENGTH_LONG).show();
            mETEncrypted.setText("");
        }
    }

    private void submit() {
        // validate
        String encrypted = mETEncrypted.getText().toString().trim();
        if (TextUtils.isEmpty(encrypted)) {
            Toast.makeText(this, "encrypted不能为空", Toast.LENGTH_SHORT).show();
            return;
        }

        String Newencrypted = mETNewencrypted.getText().toString().trim();
        if (TextUtils.isEmpty(Newencrypted)) {
            Toast.makeText(this, "Newencrypted不能为空", Toast.LENGTH_SHORT).show();
            return;
        }

        String Affirm = mETNewEncryptedAffirm.getText().toString().trim();
        if (TextUtils.isEmpty(Affirm)) {
            Toast.makeText(this, "Affirm不能为空", Toast.LENGTH_SHORT).show();
            return;
        }

        // TODO validate success, do something


    }
}
